# Uses of Class
org.codehaus.janino.IClassLoader

Packages that use IClassLoader
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IClassLoader in org.codehaus.janino

Subclasses of IClassLoader in org.codehaus.janino
Modifier and Type
Class
Description
`class`
`ClassLoaderIClassLoader`
An `IClassLoader` that loads `IClass`es through a reflection `ClassLoader`.
`class`
`JavaSourceIClassLoader`
This `IClassLoader` finds, scans and parses compilation units.
`class`
`ResourceFinderIClassLoader`
This `IClassLoader` loads IClasses through a a `ResourceFinder` that designates `ClassFile`s.
Methods in org.codehaus.janino that return IClassLoader
Modifier and Type
Method
Description
`static IClassLoader`
IClassLoader.`createJavacLikePathIClassLoader(File[] bootClassPath, File[] extDirs, File[] classPath)`
Creates an `IClassLoader` that looks for classes in the given "boot class path", then in the given "extension directories", and then in the given "class path".
`IClassLoader`
IClassLoader.`getParentIClassLoader()`
Methods in org.codehaus.janino with parameters of type IClassLoader
Modifier and Type
Method
Description
`void`
Compiler.`setIClassLoader(IClassLoader iClassLoader)`
Explicitly sets the `IClassLoader` that will be used to load "auxiliary classes".
Constructors in org.codehaus.janino with parameters of type IClassLoader
Modifier
Constructor
Description
``
`ClassFileIClass(ClassFile classFile, IClassLoader iClassLoader)`
``
`Compiler(ResourceFinder sourceFinder, IClassLoader parentIClassLoader)`
Deprecated.
Use `Compiler()` and the various configuration setters instead
``
`IClassLoader(IClassLoader parentIClassLoader)`
``
`JavaSourceIClassLoader(ResourceFinder sourceFinder, String sourceCharsetName, IClassLoader parentIClassLoader)`
``
`ResourceFinderIClassLoader(ResourceFinder resourceFinder, IClassLoader parentIClassLoader)`
``
`UnitCompiler(Java.AbstractCompilationUnit abstractCompilationUnit, IClassLoader iClassLoader)`